
Foreman - Refactor #294

convert settings page to a menu drop down
Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Web Interface   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

the settings page is not that useful, and could be converted into a simple dropdown

Associated revisions

Revision d3156019 - 09/10/2010 06:30 PM - Paul Kelly

Fixes #294 Convert settings to a dropdown

Revision 34c8caf4 - 09/12/2010 03:42 PM - Ohad Levy

cleanup - refs #294

Revision 7aee63b6 - 09/15/2010 10:27 AM - Ohad Levy

settings route is no longer required - refs #294

History

#1 - 09/07/2010 07:27 AM - Paul Kelly

- Status changed from New to Feedback

- Branch set to refactor/294-settings-dropdown

The settings page is now a dropdown in the menubar

#2 - 09/08/2010 07:57 AM - Ohad Levy

- Target version set to 0.1-6

could you please add two things:

1. try to play with css and see if it fits better on the right side... somehow, it doesnt feel right with the flow of the top bar.

2. keep the selected option visible (e.g. when clicking on setting x, x should still be selected at the top bar).

Thanks

#3 - 09/09/2010 04:17 PM - Paul Kelly

Fixed the two previous issues. (I hate css.)

ran tests

pushed new branch to origin

#4 - 09/10/2010 07:29 PM - Paul Kelly

- Status changed from Feedback to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset d3156019b320e96f7840a66b9f5d3c755638eb64.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/d3156019b320e96f7840a66b9f5d3c755638eb64


#5 - 09/12/2010 09:54 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
